Skip to main content
GET
/
v1
/
accounts
/
me
/
entitlements
Fetch current account entitlements
curl --request GET \
  --url https://api.checklyhq.com/v1/accounts/me/entitlements \
  --header 'Authorization: Bearer <token>'
{
  "plan": "team",
  "entitlements": [
    {
      "key": "<string>",
      "name": "<string>",
      "description": "<string>",
      "type": "flag",
      "enabled": true,
      "quantity": 1
    }
  ],
  "planDisplayName": "Team",
  "addons": {
    "communicate": {
      "tier": "starter",
      "tierDisplayName": "Communicate Starter"
    },
    "resolve": {
      "tier": "starter",
      "tierDisplayName": "Communicate Starter"
    }
  }
}

Authorizations

Authorization
string
header
required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure! Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID. For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"

Headers

x-checkly-account
string

Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general

Response

Successful

plan
string
required

The account plan type.

Example:

"team"

entitlements
object[]
required

List of entitled features for this account.

planDisplayName
string

The human-readable display name of the account plan.

Example:

"Team"

addons
object

The add-ons available to the account.